summaryrefslogtreecommitdiff
path: root/sh/rate
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-02-23 03:08:52 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-02-23 03:08:52 -0800
commitdd78faaf40862bd1552ec36c41374b527f747284 (patch)
treeb914f890c545db7168984f7bcc15cfc7c976c1d3 /sh/rate
parentc808bb6ee7f77f077308a1f06f63dbee6a928f6d (diff)
Reorganize shell scripts into sh dir, consider in the future fsh will have different kinds of files
Diffstat (limited to 'sh/rate')
-rwxr-xr-xsh/rate11
1 files changed, 11 insertions, 0 deletions
diff --git a/sh/rate b/sh/rate
new file mode 100755
index 0000000..1625df6
--- /dev/null
+++ b/sh/rate
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+while getopts f:t: opt; do
+ case $opt in
+ f) from="$OPTARG";;
+ t) to="$(echo "$OPTARG" | tr '[:lower:]' '[:upper:]')";;
+ \?) exit 1;;
+ esac
+done
+# https://docs.cloud.coinbase.com/sign-in-with-coinbase/docs/api-exchange-rates
+curl -s "https://api.coinbase.com/v2/exchange-rates?currency=${from:-xmr}" | jq -r ".data.rates.${to:-USD}"